A little while ago I blogged about the fact that you can install Windows 7 and Windows Server 2008 R2 on top of Hyper-V on Windows Server 2008 with no need to install integration components.  Well - a number of people have noticed that when you do this there are a number of event log entries created that claim that drivers were unable to load because they are the wrong version.

Unfortunately this is the result of a bug in our version checking code - and these event log entries should just be ignored (for this specific combination of guest and parent).

Cheers,
Ben